This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1292237 - Review Request: nodejs-array-index - Invoke getter/setter functions on array-like objects
Review Request: nodejs-array-index - Invoke getter/setter functions on array-...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: nodejs-reviews 1292297
  Show dependency treegraph
 
Reported: 2015-12-16 14:39 EST by Jared Smith
Modified: 2015-12-18 12:36 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-18 12:36:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tom: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jared Smith 2015-12-16 14:39:06 EST
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-array-index/nodejs-array-index.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-array-index/nodejs-array-index-0.2.0-1.fc24.src.rpm
Description: Invoke getter/setter functions on array-like objects
Fedora Account System Username: jsmith
Comment 1 Tom Hughes 2015-12-16 15:58:13 EST
Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file README.md is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 10 files have unknown license. Detailed
     output of licensecheck in /home/tom/1292237-nodejs-array-
     index/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-array-index-0.2.0-1.fc24.noarch.rpm
          nodejs-array-index-0.2.0-1.fc24.src.rpm
nodejs-array-index.noarch: W: spelling-error Summary(en_US) getter -> fetter, setter, netter
nodejs-array-index.noarch: W: spelling-error %description -l en_US getter -> fetter, setter, netter
nodejs-array-index.noarch: W: only-non-binary-in-usr-lib
nodejs-array-index.noarch: W: dangling-symlink /usr/lib/node_modules/array-index/node_modules/debug /usr/lib/node_modules/debug
nodejs-array-index.src: W: spelling-error Summary(en_US) getter -> fetter, setter, netter
nodejs-array-index.src: W: spelling-error %description -l en_US getter -> fetter, setter, netter
2 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-array-index.noarch: W: only-non-binary-in-usr-lib
nodejs-array-index.noarch: W: dangling-symlink /usr/lib/node_modules/array-index/node_modules/debug /usr/lib/node_modules/debug
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
nodejs-array-index (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(debug)



Provides
--------
nodejs-array-index:
    nodejs-array-index
    npm(array-index)



Source checksums
----------------
https://registry.npmjs.org/array-index/-/array-index-0.2.0.tgz :
  CHECKSUM(SHA256) this package     : 2b510413fd3224b64ce634b1d186e405207dd0cb8708b9869b7976cb41a76fe2
  CHECKSUM(SHA256) upstream package : 2b510413fd3224b64ce634b1d186e405207dd0cb8708b9869b7976cb41a76fe2


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1292237
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Tom Hughes 2015-12-16 16:00:27 EST
My reading of the guidelines (http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text) is that %license should only be used for files that just contain the licence but I guess it could be interpreted more widely?
Comment 3 Jared Smith 2015-12-16 19:10:25 EST
I'll err on the side of caution, and create a new LICENSE.md file from the license information in README.md.  It's probably overkill, but at least there will be no doubt about where the license information lives.

Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-array-index/nodejs-array-index.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-array-index/nodejs-array-index-0.2.0-2.fc24.src.rpm
Comment 4 Piotr Popieluch 2015-12-17 03:51:34 EST
I just approved a package with the license in %doc and %license

The purpose of using %license was to be able to ship Fedora without documentation (to save disk space on atomic hosts) but with license. 

If the license is in the readme and readme is only in %doc, deleting the docs would violate the license.
Comment 5 Tom Hughes 2015-12-17 03:56:14 EST
Like I say I had been reading "in its own file" to mean a file just containing the license but I guess it could be interpreted more widely.

I don't think it's a major problem whichever way things go, so package approved.
Comment 6 Piotr Popieluch 2015-12-17 04:22:52 EST
Yes, you are correct, that is what it literally says. It just doesn't make sense to me when I take the whole purpose of the %license tag in account. 

I've sent a mail to packaging list, maybe this will clear things up.

https://lists.fedoraproject.org/archives/list/packaging%40lists.fedoraproject.org/thread/7AZ6YYIGRC53E4S3KHJLDOUCNTAGSXEV/
Comment 7 Gwyn Ciesla 2015-12-17 08:50:16 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/nodejs-array-index
Comment 8 Jared Smith 2015-12-18 12:36:41 EST
Closing this bug as CLOSED RAWHIDE since it's built in Rawhide, and I'd like to have other package reviews that are dependent on this bug to move forward.

Note You need to log in before you can comment on or make changes to this bug.